Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IState

All Superinterfaces:
  IRuntimeNode

All Known Subinterfaces:
  IBomItem, IOption, IOptionFeature

All Known Implementing Classes:
  BomNode, OptionFeatureNode, OptionNode, StateNode

public interface IState
extends IRuntimeNode

Implemented by objects that have logic state. This interface contains a set of input states, used to specify a new state for an object, a set of output states, returned when querying an object for its state, and a set of methods for getting and setting the object's state.

Field Summary
`static int` | `FALSE` The input state used to set an object to false.
`static int` | `LFALSE` The logically false output state, indicating that the state is false as a consequence of a rule.
`static int` | `LTRUE` The logically true output state, indicating that the state is true as a consequence of a rule.
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `SELECTABLE` The state to indicate that this node is available for selection without a contradiction
`static int` | `SYSTEM_EXCLUDED` The state to indicate that this node has been excluded from the configuration by the system and is not available for selection without a contradiction
`static int` | `TOGGLE` The input state used to turn an object state to true if it is false or unknown, and to make it unknown or false if it is true.
`static int` | `TRUE` The input state used to set an object to true.
`static int` | `UFALSE` The user false output state, indicating that a user has set this object to false.
`static int` | `UNKNOWN` The unknown output state.
`static int` | `UTRUE` The user true output state, indicating that a user has set this object to true.

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`int` | `getDetailedSelectionState()` Returns the following values:
`int` | `getSelectionState()` Returns the following values:
`int` | `getState()` Gets the current logic state of this object.
`boolean` | `isFalse()` Tells whether this feature is in false state.
`boolean` | `isLogic()` Tells whether this feature is in a logically specified state.
`boolean` | `isTrue()` Tells whether this feature is in true state.
`boolean` | `isUnknown()` Tells whether this feature is in unknown or known state.
`boolean` | `isUser()` Tells whether this feature is in a user specified state.
`void` | `setState(int state)` Change the current logic state of this object.
`void` | `unset()` Retracts any user selection made toward this node

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`evaluateUiExpression, getAvailableEventCommands, getCaption, getChildByID, getChildByName, getChildByPersistentID, getChildren, getChildrenByType, getConfigItemID, getConfiguration, getCurrentValue, getDatabaseID, getDeltaValue, getDescription, getDiscontinuedChildren, getDisplayName, getDisplayNamePath, getInstalledValue, getLineType, getLineTypeName, getLoadStatus, getLocationID, getLocationTypeCode, getName, getParent, getPersistentID, getProperties, getPropertyByName, getRootInstance, getRuntimeID, getSelectionLineID, getSummaryChildren, getSummaryValue, getType, hasChildren, hasConfigItemID, hasCount, hasDecimalValue, hasDescription, hasIntegerValue, hasSelectionLineID, hasState, hasTextValue, hasTrackableAncestor, isAddChanged, isAttributeChanged, isChanged, isChildChanged, isDeleteChanged, isDeleted, isDescendantOf, isDiscontinued, isEditable, isEffective, isIBNodeChanged, isIBNodeOrDescendantChanged, isIBTrackable, isLoaded, isLocationChanged, isNameChanged, isNative, isNodeChanged, isQuoteable, isRoot, isRootInstance, isSatisfied, isTargetChanged, isTrackableRoot, isUiVisible, isUnsatisfied, isUnsatisfiedNode, isValid, isValueChanged, setLineType, setLocationID, setLocationTypeCode`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### UNKNOWN

    public static final int UNKNOWN

  The unknown output state.

### UTRUE

    public static final int UTRUE

  The user true output state, indicating that a user has set this object to true.

### UFALSE

    public static final int UFALSE

  The user false output state, indicating that a user has set this object to false.

### LTRUE

    public static final int LTRUE

  The logically true output state, indicating that the state is true as a consequence of a rule.

### LFALSE

    public static final int LFALSE

  The logically false output state, indicating that the state is false as a consequence of a rule.

### TRUE

    public static final int TRUE

  The input state used to set an object to true.

### FALSE

    public static final int FALSE

  The input state used to set an object to false.

### TOGGLE

    public static final int TOGGLE

  The input state used to turn an object state to true if it is false or unknown, and to make it unknown or false if it is true.

### SELECTABLE

    public static final int SELECTABLE

  The state to indicate that this node is available for selection without a contradiction

### SYSTEM_EXCLUDED

    public static final int SYSTEM_EXCLUDED

  The state to indicate that this node has been excluded from the configuration by the system and is not available for selection without a contradiction

Method Detail

### getState

    public int getState()

  Gets the current logic state of this object.
  Returns:
    the current state.

### setState

    public void setState(int state)
                  throws LogicalException

  Change the current logic state of this object.
    `LogicalException`

### isUnknown

    public boolean isUnknown()

  Tells whether this feature is in unknown or known state.
  Returns:
    true if the feature is unknown.

### isTrue

    public boolean isTrue()

  Tells whether this feature is in true state.
  Returns:
    true if the feature is true.

### isFalse

    public boolean isFalse()

  Tells whether this feature is in false state.
  Returns:
    true if the feature is false.

### isUser

    public boolean isUser()

  Tells whether this feature is in a user specified state.
  Returns:
    true if the feature is in user state.

### isLogic

    public boolean isLogic()

  Tells whether this feature is in a logically specified state.
  Returns:
    true if the feature is in logic state.

### unset

    public void unset()
               throws LogicalException

  Retracts any user selection made toward this node
    `LogicalException`

### getSelectionState

    public int getSelectionState()

  Returns the following values:
  Returns:
    1 if the node is selected

### getDetailedSelectionState

    public int getDetailedSelectionState()

  Returns the following values:
  Returns:
    11 if the node is user selected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.